import { NgZone, OnDestroy, OnChanges, SimpleChanges, QueryList, ElementRef } from '@angular/core';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
import { EventEmitter } from '@angular/core';
export declare type viewerType = 'google' | 'office' | 'mammoth' | 'pdf' | 'url';
export declare class NgxDocViewerComponent implements OnChanges, OnDestroy {
    private domSanitizer;
    private ngZone;
    loaded: EventEmitter<any>;
    url: string;
    queryParams: string;
    viewerUrl: string;
    googleCheckInterval: number;
    disableContent: 'none' | 'all' | 'popout' | 'popout-hide';
    googleCheckContentLoaded: boolean;
    viewer: viewerType;
    iframes: QueryList<ElementRef>;
    fullUrl: SafeResourceUrl;
    externalViewer: boolean;
    docHtml: string;
    configuredViewer: viewerType;
    private checkIFrameSubscription;
    private loadCount;
    constructor(domSanitizer: DomSanitizer, ngZone: NgZone);
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): Promise<void>;
    iframeLoaded(): void;
    reloadIFrame(iframe: HTMLIFrameElement): void;
    private getDocxToHtml;
    private fileToArray;
}
